# build

@ JvmName (name = "buildTyped")
inline fun < LP : ViewGroup.LayoutParams > build (noinline factory: HikageFactoryBuilder .() -> Unit = {}, noinline performer: HikagePerformer < LP >): Hikage.Delegate < LP >

Create a new Hikage.Delegate.

#### Return

Hikage.Delegate<LP>

#### Parameters

factory

the HikageFactory builder.

performer

the performer body.

fun build (factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < ViewGroup.LayoutParams >): Hikage.Delegate < ViewGroup.LayoutParams >

Create a new Hikage.Delegate.

#### Return

Hikage.Delegate<ViewGroup.LayoutParams>

#### Parameters

factory

the HikageFactory builder.

performer

the performer body.

fun < LP : ViewGroup.LayoutParams > build (lpClass: Class < LP >, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): Hikage.Delegate < LP >

Create a new Hikage.Delegate.

#### Return

Hikage.Delegate<LP>

#### Parameters

lpClass

the layout params type.

factory

the HikageFactory builder.

performer

the performer body.